Package org.eclipse.cdt.utils.pty

# Class ConPTYOutputStream

java.lang.Object
java.io.OutputStream
org.eclipse.cdt.utils.pty.PTYOutputStream
org.eclipse.cdt.utils.pty.ConPTYOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class ConPTYOutputStream extends PTYOutputStream

Restriction:
  This class is not intended to be referenced by clients.

## Constructor Summary

Constructors
Constructor
Description
`ConPTYOutputStream(ConPTY conPty)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
Close the Reader
`void`
`write(byte[] b, int off, int len)`

### Methods inherited from class org.eclipse.cdt.utils.pty.PTYOutputStream

`finalize, write`

### Methods inherited from class java.io.OutputStream

`flush, nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConPTYOutputStream

public ConPTYOutputStream(ConPTY conPty)

## Method Details

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `PTYOutputStream`
Throws:
  `IOException`
See Also:
  - `OutputStream.write(byte[], int, int)`

### close

public void close() throws IOException
Description copied from class: `PTYOutputStream`
Close the Reader

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `PTYOutputStream`
Throws:
  `IOException` - on error.